/*-------------------------------------------------------*/
/* dice.c         ( NTHU CS MapleBBS Ver 3.10 )          */
/*-------------------------------------------------------*/
/* target : YlC                                   */
/* create : 01/02/15                                     */
/* update : 01/04/20                                     */
/* author : wsyfish                                      */
/* recast : itoc.bbs@bbs.tnfsh.tn.edu.tw                 */
/*-------------------------------------------------------*/


#include "bbs.h"

#ifdef HAVE_GAME


static char *pic[6][3] = 
{
  "        ",
  "      ",		/* 1 */
  "        ",

  "      ",
  "        ",		/* 2 */
  "      ",

  "      ",
  "      ",		/* 3 */
  "      ",

  "    ",
  "        ",		/* 4 */
  "    ",

  "    ",
  "      ",		/* 5 */
  "    ",

  "    ",
  "    ",		/* 6 */
  "    "
};


static void
out_song()
{
  static int count = 0;

  /* OɲM}@ߵ */
  uschar *msg[11] = 
  {
    "}@ߵ  ۹ڪͻH",
    "NF",
    "}@ߵ  nb·tKa",
    "OFhW߻",
    "ͬqLo²  WNiHQ",
    "CCLLگEvv  ݨŤѤAg",
    "nhhmۥѩb",
    "  a}@ߵ",
    "^^aaڭ̨X·t  ӥ@ɳ",
    "  a}@ߵ",
    "XXa{ģ۬RڷQ  Ҧw@PA"
  };
  move(b_lines - 2, 0);
  prints("\033[1;3%dm%s\033[m  wX٦ %d ", time(0) % 7, msg[count], cuser.money);
  clrtoeol();
  if (++count == 11)
    count = 0;
}


int
main_dice()
{
  int money;		/*  */
  int i;		/* ü */
  char choice;		/* Oﶵ */
  char dice[3];		/* Tӻl */
  char total;		/* TӻlM */
  char buf[60];

  if (HAS_STATUS(STATUS_COINLOCK))
  {
    vmsg(msg_coinlock);
    return XEASY;
  }

  vs_bar(" t { U`");
  outs("\n\n\n"
    "zwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww{\n"
    "x  2   1. j      2. p                                                x\n"
    "x 14   3. TI    4. |I    5. I    6. I    7. CI             x\n"
    "x  8   8. KI    9. EI   10. QI   11. Q@I 12. QGI 13. QTIx\n"
    "x 14  14. Q|I 15. QI 16. QI 17. QCI 18. QKI           x\n"
    "x216  19. @@@ 20. GGG 21. TTT 22. ||| 23.  24. x\n"
    "|wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww}\n");

#if 0	/* YlC 216 U`ƥX{ƾv */
zwwswswswswswswswswswswswswswswswsw{
x`Ƣx3 x4 x5 x6 x7 x8 x9 x10x11x12x13x14x15x16x17x18x
uwwqwqwqwqwqwqwqwqwqwqwqwqwqwqwqwqwt
xƢx1 x3 x6 x10x15x21x25x27x27x25x21x15x10x6 x3 x1 x / 216 
|wwrwrwrwrwrwrwrwrwrwrwrwrwrwrwrwrw}
#endif

  out_song();

  while (1)
  {
    vget(2, 0, "аݭnU`h֩OH(1 ~ 50000) ", buf, 6, DOECHO);
    money = atoi(buf);
    if (money < 1 || money > 50000 || money > cuser.money)
      break;				/* } */

    vget(12, 0, "n@OH(пJX) ", buf, 3, DOECHO);
    choice = atoi(buf);
    if (choice < 1 || choice > 24)
      break;				/* } */

    outs("\n@YXl \033[5m....\033[m\n");
    igetch();

    /* MwTӻlI */
    total = 0;
    for (i = 0; i < 3; i++)
    {
      dice[i] = rnd(6) + 1;
      total += dice[i];
    }

    /* BzG */
    if ((choice == 1 && total > 10) || (choice == 2 && total <= 10))	/* Bzjp */
    {
      sprintf(buf, "FIo좱 %d ", money * 2);
      addmoney(money);
    }
    else if (choice <= 18 && total == choice)				/* Bz`M */
    {
      if (choice >= 8 && choice <= 13)
      {
	sprintf(buf, "FIo좷 %d ", money * 8);
	addmoney(money * 7);
      }
      else
      {
	sprintf(buf, "FIo좰 %d ", money * 14);
	addmoney(money * 13);
      }
    }
    else if ((choice - 18) == dice[0] && (dice[0] == dice[1]) && (dice[1] == dice[2]))/* BzTӤ@ */
    {
      sprintf(buf, "FIo좱 %d ", money * 216);
      addmoney(money * 215);
    }
    else								/* BzS */
    {
      strcpy(buf, "ܥiS㤤I");
      cuser.money -= money;
    }

    /* LXlG */
    outs("~wwww~wwww~wwww\n");
    for (i = 0; i < 3; i++)
    {
      prints("x%sxx%sxx%sx\n", pic[dice[0] - 1][i], 
        pic[dice[1] - 1][i], pic[dice[2] - 1][i]);
    }
    outs("wwwwwwwwwwww\n\n");

    out_song();
    vmsg(buf);
  }

  return 0;
}

#endif	/* HAVE_GAME */
